# PhasicFlow: uniquePtr< T, Deleter > Class Template Reference

uniquePtr< T, Deleter > Class Template Reference
Inheritance diagram for uniquePtr< T, Deleter >:
[legend]
Collaboration diagram for uniquePtr< T, Deleter >:
[legend]

## Public Types

typedef std::unique_ptr< T, Deleter > | uniquePtrType

## Public Member Functions

void | clear ()
T & | operator() ()
const T & | operator() () const

## Static Public Member Functions

template<typename... Args>
static uniquePtr< T > | makeUnique (Args &&... args)

## Detailed Description

### template<typename T, typename Deleter = std::default_delete<T>>
class pFlow::uniquePtr< T, Deleter >

Definition at line 44 of file uniquePtr.hpp.

## Member Typedef Documentation

## uniquePtrType

typedef std::unique_ptr<T,Deleter> uniquePtrType

Definition at line 50 of file uniquePtr.hpp.

## Member Function Documentation

## makeUnique()

static uniquePtr<T> makeUnique | ( | Args &&... | args | ) |

inlinestatic

Definition at line 57 of file uniquePtr.hpp.

## clear()

void clear | ( |  | ) |

inline

Definition at line 62 of file uniquePtr.hpp.

## operator()() [1/2]

T& operator() | ( |  | ) |

inline

Definition at line 72 of file uniquePtr.hpp.

## operator()() [2/2]

const T& operator() | ( |  | ) | const

inline

Definition at line 85 of file uniquePtr.hpp.

The documentation for this class was generated from the following file:

- src/phasicFlow/smartPointers/uniquePtr.hpp